/* @import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;0,800;1,300;1,400;1,600;1,700;1,800&display=swap'); */

@import url('https://fonts.googleapis.com/css2?family=Dosis:wght@300;400;500;600;700;800&display=swap');

/* ---------------------- typography ------------------------ */
.h1,.h2,.h3,.h4,.h5,.h6,p,span,label,td,th,b,em,div{
    color: #3b3b3b;
    /* font-family: 'Open Sans', sans-serif !important; */
    /*font-family: 'Dosis', sans-serif !important;*/
    font-family: arial !important;
    
    letter-spacing: 0.9px !important;
}
*{
    font-weight: 500;
}
.fa, .fas{
    font-weight: 900 !important;
}

.badge-primary {
    color: #fff !important;
    background-color: #4500ff;
}

/* ----------------------end typography ------------------------ */

/* ---------------------- a-btn ------------------------ */

.badge {
  display: inline-block;
  padding: 8px 12px 6px 12px;
  font-size: 75%;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: 50px;
}

.badge-danger {
  color: #fff;
  background-color: #ff3615 !important;
}

.badge-success {
  color: #fff;
  background-color: #47ba00 !important;
}

.a-btn{
    position: relative;
    display: inline-block;
    /* height: 30px; */
    font-size: 14px;
    letter-spacing: 1.0px !important;
    border: 1px solid rgb(217, 217, 217);
    border-radius: 2px;
    color: #ffffff;
    background-color: rgb(255, 255, 255);
    padding: 5px 20px;
    margin: 3px 3px;
    cursor: pointer;
    -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
    transition: all .3s cubic-bezier(.645,.045,.355,1);
    -webkit-box-shadow: 0 2px 0 rgba(0,0,0,.015);
    box-shadow: 0 2px 0 rgba(0,0,0,.015);
    line-height: 19.5px;
    vertical-align: middle;
    overflow: hidden;
    outline: none !important;
    text-decoration: none !important;
    z-index: 1;
}
.a-btn-sm{
  /* height: 26px !important; */
  font-size: 12px !important;
  line-height: 1.4 !important;
  padding: 5px 10px !important;
}

.a-btn:hover, .a-btn:focus {
    color: #03A9F4;
    border-color: #03A9F4;
}

.a-btn:active {
    color: #096dd9;
    background: #fff;
    border-color: #096dd9;
}

.a-btn:disabled {
  background: #cbcbcb !important;
  border: 1px solid #cbcbcb;
  box-shadow: 0 0 0px 0px #cbcbcb;
}

.a-btn:disabled:hover {
  background: #cbcbcb !important;
  border: 1px solid #cbcbcb;
  box-shadow: 0 0 0px 0px #cbcbcb;
}

.a-btn-circle{
    position: relative;
    display: inline-block;
    height: 50px;
    width: 50px;
    font-size: 23px;
    border: 1px solid rgb(217, 217, 217);
    border-radius: 50%;
    color: rgb(116 116 116 / 92%);
    background-color: rgb(255, 255, 255);
    cursor: pointer;
    -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
    transition: all .3s cubic-bezier(.645,.045,.355,1);
    -webkit-box-shadow: 0 2px 0 rgba(0,0,0,.015);
    box-shadow: 0 2px 0 rgba(0,0,0,.015);
    line-height: 19.5px;
    vertical-align: middle;
    overflow: hidden;
    outline: none !important;
    z-index: 1;
}
.btn-circle-sm{
    height: 30px;
    width: 30px;
    font-size: 14px;
}

.a-btn-circle:hover, .a-btn-circle:focus {
    color: #03A9F4;
    border-color: #03A9F4;
}

.a-btn-circle:active {
    color: #096dd9;
    background: #fff;
    border-color: #096dd9;
}

/* ---------------------- end a-btn ------------------------ */

/* ---------------------- a-btn-primary ------------------------ */
.a-btn-primary{
    color: #fff;
    background: #1890ff;
    border-color: #1890ff;
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}
.a-btn-primary:hover, .a-btn-primary:focus {
    color: #fff;
    background: #40a9ff;
    border-color: #40a9ff;
    box-shadow: 0 1px 2px rgba(0,0,0,0.08), 0 3px 6px rgba(0,0,0,0.24);
}

.a-btn-primary:active {
    color: #fff;
    background: #096dd9;
    border-color: #096dd9;
}

/* ---------------------- end a-btn-primary ------------------------ */

/* ---------------------- a-btn-primary ------------------------ */
.a-btn-primary2{
    color: #fff !important;
    background: #4500ff;
    border-color: #4500ff;
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}
.a-btn-primary2:hover, .a-btn-primary2:focus {
    color: #fff !important;
    background: #5d22ff;
    border-color: #5d22ff;
    box-shadow: 0 1px 2px rgba(0,0,0,0.08), 0 3px 6px rgba(0,0,0,0.24);
}

.a-btn-primary2:active {
    color: #fff !important;
    background: #3c02db;
    border-color: #3c02db;
}

/* ---------------------- end a-btn-primary ------------------------ */
/* ---------------------- a-btn-info ------------------------ */
.a-btn-info{
    color: #000;
    background: #00e2ff;
    border-color: #00e2ff;
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}
.a-btn-info:hover, .a-btn-info:focus {
    color: #000;
    background: #66edff;
    border-color: #66edff;
    box-shadow: 0 1px 2px rgba(0,0,0,0.08), 0 3px 6px rgba(0,0,0,0.24);
}

.a-btn-info:active {
    color: #000;
    background: #00d3ee;
    border-color: #00d3ee;
}

/* ---------------------- end a-btn-info ------------------------ */

/* ---------------------- a-btn-success ------------------------ */
.a-btn-success{
    color: #fff;
    background: #2da630;
    border-color: #2da630;
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}
.a-btn-success:hover, .a-btn-success:focus {
    color: #fff;
    background: #2da62fd7;
    border-color: #2da62fd7;
    box-shadow: 0 1px 2px rgba(0,0,0,0.08), 0 3px 6px rgba(0,0,0,0.24);
}

.a-btn-success:active {
    color: #fff;
    background: #258f27;
    border-color: #258f27;
}

/* ---------------------- end a-btn-success ------------------------ */
/* ---------------------- a-btn-danger ------------------------ */
.a-btn-danger{
    color: #fff;
    background: #ff2d00;
    border-color: #ff2d00;
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}
.a-btn-danger:hover, .a-btn-danger:focus {
    color: #fff;
    background: #ff522c;
    border-color: #ff522c;
    box-shadow: 0 1px 2px rgba(0,0,0,0.08), 0 3px 6px rgba(0,0,0,0.24);
}

.a-btn-danger:active {
    color: #fff;
    background: #d52600;
    border-color: #d52600;
}

/* ---------------------- end a-btn-danger ------------------------ */
/* ---------------------- a-btn-warning ------------------------ */
.a-btn-warning{
    color: #131313;
    background: #FFC107;
    border-color: #FFC107;
    box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}
.a-btn-warning:hover, .a-btn-warning:focus {
    color: rgb(0, 0, 0);
    background: #ffd454;
    border-color: #ffd454;
    box-shadow: 0 1px 2px rgba(0,0,0,0.08), 0 3px 6px rgba(0,0,0,0.24);
}

.a-btn-warning:active {
    color: rgb(0, 0, 0);
    background: #e4ab00;
    border-color: #e4ab00;
}

.a-btn-default{
  color: #333 !important;
  border: 1px solid #fff !important;
}

/* ---------------------- end a-btn-warning ------------------------ */

/* ---------------------- ripple ------------------------ */
@-webkit-keyframes ripple {
    0% {
      width: 0;
      height: 0;
      opacity: .5;
    }
    100% {
      width: 150px;
      height: 150px;
      opacity: 0;
    }
}
  
@keyframes ripple {
    0% {
      width: 0;
      height: 0;
      opacity: .5;
    }
    100% {
      width: 150px;
      height: 150px;
      opacity: 0;
    }
}

.ripple:before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 0;
    height: 0;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    border-radius: 50%;
    background-color: rgb(255, 255, 255);
    visibility: hidden;
    z-index: 2;
}
.ripple-primary:before{
    background-color: #40a9ff;
}
  
.ripple:not(:active):before {
    -webkit-animation: ripple 0.4s cubic-bezier(0, 0, 0.2, 1);
    animation: ripple 0.4s cubic-bezier(0, 0, 0.2, 1);
    -webkit-transition: visibility .4s step-end;
    transition: visibility .4s step-end;
}

.ripple:active:before {
    visibility: visible;
}

/* ---------------------- end ripple ------------------------ */

/* -------------------------  a-input -------------------------------- */
.a-input {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    margin-bottom: 5px;
    font-variant: tabular-nums;
    list-style: none;
    -webkit-font-feature-settings: "tnum";
    font-feature-settings: "tnum";
    position: relative;
    display: inline-block;
    width: 100%;
    min-width: 0;
    padding: 4px 11px;
    color: rgba(0,0,0,.85);
    font-size: 14px !important;
    line-height: 1.5715;
    height: 31px;
    background-color: #fff;
    background-image: none;
    border: 1px solid #d9d9d9;
    border-radius: 2px;
    -webkit-transition: all .3s;
    transition: all .3s;
    outline: none !important;
    letter-spacing: 0.5px;
}
.a-input[readonly]{
  background: #e0d4ff !important;
  border: 1px solid #4500ff !important;
  cursor: not-allowed !important;
}

.a-input-lg {
    height: 38px;
    font-size: 15px;
}
.a-input-sm {
    line-height: 0.2;
    height: 26px;
    font-size: 12px;
}
.a-input:hover{
    border-color: #4500ff;
    border-right-width: 1px!important;
}
.a-input-focused, .a-input:focus {
    border-color: #4500ff;
    border-right-width: 1px!important;
    outline: 0;
    -webkit-box-shadow: 0 0 0 2px #4400ff25;
    box-shadow: 0 0 7px 2px #4400ff25;
}


.inputWithIcon input[type="text"] {
    padding-left: 35px;
    /* margin-bottom: 20px; */
}

.inputWithIcon input[type="password"] {
    padding-left: 35px;
}

.inputWithIcon select {
    /* margin-bottom: 20px; */
    padding: 5px 11px;
    padding-left: 25px;
}
  
.inputWithIcon {
    position: relative;
}
  
.inputWithIcon i {
    position: absolute;
    left: 0;
    top: 0px;
    padding: 10px 9px;
    font-size: 15px;
    color: #828282;
    transition: 0.3s;
}
.inputWithIcon-sm i {
    position: absolute;
    left: 0;
    top: 0px;
    padding: 9px 9px;
    font-size: 12px;
    color: #828282;
    transition: 0.3s;
}
.inputWithIcon-lg i {
    position: absolute;
    left: 0;
    top: 0px;
    padding: 10px 9px;
    font-size: 15px;
    color: #828282;
    transition: 0.3s;
}
  
.inputWithIcon:focus + i, .inputWithIcon:hover i {
    color: #4500ff;
}
.input-extra-btn{
    position: absolute;
    top: 0px;
    right: 0px;
    margin: -12px;
    border-radius: 50%;
    height: 30px;
}
.input-extra-btn i{
    color: #fff !important;
    padding: 6.5px 7.8px;
    font-size: 15px;

}
/* -------------------------  End a-input -------------------------------- */

/* -------------------------  a-card -------------------------------- */
.card-body{
  padding : 10px ;
}
.a-card {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: rgba(0,0,0,.85);
    font-size: 14px;
    font-variant: tabular-nums;
    line-height: 1.5715;
    list-style: none;
    -webkit-font-feature-settings: "tnum";
    font-feature-settings: "tnum";
    position: relative;
    background: #fff;
    border-radius: 2px;
    transition: 0.5s cubic-bezier(0.075, 0.82, 0.165, 1);
    overflow: hidden;
}
.a-card-bordered {
    border: 1px solid #e4e4e4;
}
.a-card-head {
    min-height: 48px;
    margin-bottom: -1px;
    padding: 5px 24px;
    color: rgba(0,0,0,.85);
    font-weight: 500;
    font-size: 16px;
    background: 0 0;
    border-bottom: 1px solid #e4e4e4;
    border-radius: 2px 2px 0 0;
}
.a-card-head h1, h2, h3, h4, h5, h6{
    margin: 2px 0px !important;
    color: #505050;
}

.card-hover:hover {
    box-shadow: 0 1px 7px #00000021 !important;
}
.a-card-cover{
    transition: 0.3s ease-in-out;
}
.card-hover:hover .a-card-cover{
    transform: scale(1.1);
}
.a-card-cover img{
    width: 100%;
}
/* -------------------------  End a-card -------------------------------- */

.div-align-center{
    height: 100% !important;
    align-items: center !important;
}
.text-primary {
    color : #4500ff !important;
} 
a.text-primary:focus, a.text-primary:hover{
    color : #ff7300 !important;
} 
.brand-footer {
    font-size: 13px;
    color: #868686;
    margin-bottom: 5px;
}
.brand-title {
    font-size: 21px;
    letter-spacing: 3.5px;
    font-weight: 700;
}

/* ----------------------------- Checkbox --------------------------------- */
/* The container */
.container-checkbox {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 16px;
  font-weight: 700;
   -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.container-checkbox input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

/* Create a custom checkbox */
.container-checkbox .checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  background-color: #949494;
  box-shadow: inset 0 0 5px #00000080;

}

/* On mouse-over, add a grey background color */
.container-checkbox:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.container-checkbox input:checked ~ .checkmark {
  background-color: #5c00ff;
}

/* Create the checkmark/indicator (hidden when not checked) */
.container-checkbox .checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.container-checkbox input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.container-checkbox .checkmark:after {
  left: 8px;
  top: 4px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}


/* The container */
.container-radio {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default radio button */
.container-radio input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

/* Create a custom radio button */
.container-radio .checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  background-color: #eee;
  border-radius: 50%;
}

/* On mouse-over, add a grey background color */
.container-radio:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the radio button is checked, add a blue background */
.container-radio input:checked ~ .checkmark {
  background-color: #2196F3;
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.container-radio .checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the indicator (dot/circle) when checked */
.container-radio input:checked ~ .checkmark:after {
  display: block;
}

/* Style the indicator (dot/circle) */
.container-radio .checkmark:after {
 top: 9px;
left: 9px;
width: 8px;
height: 8px;
border-radius: 50%;
background: white;
}
/* ----------------------------- End Checkbox --------------------------------- */

  .alert {
    position: relative;
    padding: 8px 22px;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: 2px;
    font-size: 17px;
  }

  .alert-success {
    color: #ffffff;
    background-color: #00ab5d;
    border-color: #00ab5d;
  }

  .alert-danger {
    color: #ffffff;
    background-color: #ff3030;
    border-color: #ff3030;
  }

  .alert-warning {
    color: #000000 !important;
    background-color: #ffc107;
    border-color: #ffc107 !important;
}

  .alert-warning2 {
    color: #af0000 !important;
    background-color: #ffbf009c;
    border-color: #aa0000 !important;
}
  
.f-15 {
  font-size: 15px !important;
}
.f-16 {
  font-size: 16px !important;
}
.f-17 {
  font-size: 17px !important;
}
.f-18 {
  font-size: 18px !important;
}
.f-20 {
  font-size: 20px !important;
}
.f-22 {
  font-size: 22px !important;
}
.f-24 {
  font-size: 24px !important;
}
.f-26 {
  font-size: 26px !important;
}
.f-28 {
  font-size: 28px !important;
}
.f-30 {
  font-size: 30px !important;
}
.f-32 {
  font-size: 32px !important;
}
.f-34 {
  font-size: 34px !important;
}
.f-36 {
  font-size: 36px !important;
}
.f-38 {
  font-size: 38px !important;
}
.f-40 {
  font-size: 40px !important;
}
.f-42 {
  font-size: 42px !important;
}
.f-44 {
  font-size: 44px !important;
}
.f-46 {
  font-size: 46px !important;
}
.f-48 {
  font-size: 48px !important;
}
.f-50 {
  font-size: 50px !important;
}